efl::eina::_ptr_eo_list_iterator< T > Struct Template Reference

Public Types | Public Member Functions
efl::eina::_ptr_eo_list_iterator< T > Struct Template Reference

## Public Types
typedef _ptr_list_iterator< Eo > | _base_type
typedef _ptr_eo_list_iterator< T > | _self_type
typedef remove_cv< T >::type | value_type
typedef value_type * | pointer
typedef value_type & | reference
Public Types inherited from efl::eina::_ptr_list_iterator< Eo >
typedef remove_cv< Eo >::type | value_type
typedef value_type * | pointer
typedef value_type & | reference
Public Types inherited from efl::eina::_ptr_list_iterator_base
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
_base_type & | _base ()
_base_type const & | _base () const
| _ptr_eo_list_iterator (_base_type const &base)
| _ptr_eo_list_iterator (Eina_List *list, Eina_List *node)
| _ptr_eo_list_iterator (_ptr_eo_list_iterator< value_type > const &other)
_self_type & | operator= (_self_type const &other)
_self_type & | operator++ ()
_self_type | operator++ (int)
_self_type & | operator-- ()
_self_type | operator-- (int)
reference | operator* () const
pointer | operator-> () const
Public Member Functions inherited from efl::eina::_ptr_list_iterator< Eo >
| _ptr_list_iterator (Eina_List *list, Eina_List *node)
| _ptr_list_iterator (_ptr_list_iterator< value_type > const &other)
_ptr_list_iterator< Eo > & | operator++ ()
_ptr_list_iterator< Eo > | operator++ (int)
_ptr_list_iterator< Eo > & | operator-- ()
_ptr_list_iterator< Eo > | operator-- (int)
reference | operator* () const
pointer | operator-> () const
Eina_List * | native_handle ()
Eina_List const * | native_handle () const
Public Member Functions inherited from efl::eina::_ptr_list_iterator_base
| _ptr_list_iterator_base (Eina_List *list, Eina_List *node)

## Additional Inherited Members
Protected Attributes inherited from efl::eina::_ptr_list_iterator_base
Eina_List * | _list
Eina_List * | _node